import { AdapterAPI } from '../api/AdapterAPI';
import { AnalyticsStateMachineOptions } from '../types/AnalyticsStateMachineOptions';
import { AnalyticsConfig } from '../types/AnalyticsConfig';
import { Analytics } from '../core/Analytics';
import { Adapter } from './Adapter';
import { HlsInternalAdapter } from './internal/HlsInternalAdapter';

export class HlsAdapter extends Adapter implements AdapterAPI {
  constructor(config: AnalyticsConfig, player: any, opts?: AnalyticsStateMachineOptions) {
    super();
    this.internalAdapter = new HlsInternalAdapter(player, opts);
    this.analytics = new Analytics(config, this.internalAdapter);
  }
}
