import { EventDispatcher } from '../../js/core/EventDispatcher';
import { InternalAdapterAPI } from '../../js/adapters/internal/InternalAdapterAPI';

export class MockInternalAdapterApi implements InternalAdapterAPI {
  get drmPerformanceInfo() {
    return {
      drmUsed: false
    }
  }
  get downloadSpeedInfo() {
    return {
      segmentsDownloadCount: 0,
      segmentsDownloadSize: 0,
      segmentsDownloadTime: 0,
      minDownloadSpeed: 0,
      maxDownloadSpeed: 0,
      avgDownloadSpeed: 0,
      avgTimeToFirstByte: 0
    }
  }
  get segments() {
    return [];
  }

  get onLicenseKeyReceived(): EventDispatcher<{ licenseKey: string }> {
    return new EventDispatcher();
  }
  get onLicenseCallFailed(): EventDispatcher<{}> {
    return new EventDispatcher()
  }

  get stateMachineCallbacks() {
    return {
      setup: () => { },
      startup: () => { },
      updateSample: () => { },
      playing: () => { },
      heartbeat: () => { },
      qualitychange: () => { },
      qualitychange_pause: () => { },
      qualitychange_rebuffering: () => { },
      videoChange: () => { },
      audioChange: () => { },
      audiotrack_changing: () => { },
      pause: () => { },
      paused_seeking: () => { },
      end_play_seeking: () => { },
      rebuffering: () => { },
      error: () => { },
      end: () => { },
      unload: () => { },
      ad: () => { },
      mute: () => { },
      unMute: () => { },
      subtitle_changing: () => { },
      setVideoTimeEndFromEvent: () => { },
      setVideoTimeStartFromEvent: () => { },
      videoStartFailed: () => { },
      source_changing: () => { },
      ready: () => { },
      startCasting: () => { },
      manualSourceChange: () => { },
      initialSourceChange: () => { },
      muting_ready: () => { },
    }
  }
  public getPlayerVersion() { return '' }
  public getPlayerName() { return '' }
  public getPlayerTech() { return '' }
  public getAutoPlay() { return false }
  public getCurrentPlaybackInfo() {
    return {
      droppedFrames: 0,
    }
  }
  public sourceChange(config: any, timestamp: number) { }
  public clearValues() { }
  public initialize() {}
}